declare function getToolbarConfiguration(LANG: any): {
    tools: ({
        type: string;
        name: string;
        attrs: {
            button: {
                'data-tooltip': string;
                'data-tooltip-position'?: undefined;
                'data-tooltip-position-selector'?: undefined;
                id?: undefined;
                'data-before'?: undefined;
            };
            label?: undefined;
            input?: undefined;
        };
        group?: undefined;
        text?: undefined;
        width?: undefined;
        options?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        attrs: {
            button: {
                'data-tooltip': string;
                'data-tooltip-position': string;
                'data-tooltip-position-selector': string;
                id?: undefined;
                'data-before'?: undefined;
            };
            label?: undefined;
            input?: undefined;
        };
        text?: undefined;
        width?: undefined;
        options?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        text: string;
        attrs: {
            button: {
                id: string;
                'data-tooltip': string;
                'data-tooltip-position': string;
                'data-tooltip-position-selector': string;
                'data-before'?: undefined;
            };
            label?: undefined;
            input?: undefined;
        };
        width?: undefined;
        options?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
    } | {
        type: string;
        name: string;
        width: number;
        options: {
            index: number;
            content: string;
            flowChartId: string;
            name: string;
            jsonContent: string;
            selected: boolean;
        }[];
        attrs?: undefined;
        group?: undefined;
        text?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
    } | {
        type: string;
        name: string;
        attrs: {
            button: {
                'data-tooltip': string;
                'data-before': string;
                'data-tooltip-position'?: undefined;
                'data-tooltip-position-selector'?: undefined;
                id?: undefined;
            };
            label?: undefined;
            input?: undefined;
        };
        group?: undefined;
        text?: undefined;
        width?: undefined;
        options?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        text: string;
        attrs: {
            label: {
                'data-tooltip': string;
                'data-tooltip-position': string;
                'data-tooltip-position-selector': string;
            };
            button?: undefined;
            input?: undefined;
        };
        width?: undefined;
        options?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        text: string;
        min: number;
        max: number;
        step: number;
        value: number;
        attrs?: undefined;
        width?: undefined;
        options?: undefined;
        label?: undefined;
    } | {
        type: string;
        group: string;
        name?: undefined;
        attrs?: undefined;
        text?: undefined;
        width?: undefined;
        options?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        label: string;
        value: boolean;
        attrs: {
            input: {
                id: string;
            };
            label: {
                'data-tooltip': string;
                'data-tooltip-position': string;
                'data-tooltip-position-selector': string;
            };
            button?: undefined;
        };
        text?: undefined;
        width?: undefined;
        options?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
    })[];
};
declare const ToolbarFunction: {
    getToolbarConfiguration: typeof getToolbarConfiguration;
};
export default ToolbarFunction;
