import { EventEmitter } from '@angular/core';
import { BannerType, QmsBannerConfirmButton, QmsBannerConfirmButtonClick, QmsBannerContent } from '../models/qms-banner.model';
import * as i0 from "@angular/core";
export declare class QmsBannerConfirmComponent {
    type: BannerType;
    icon: string;
    title: string;
    innerHTML: string;
    contents: QmsBannerContent[];
    buttons: QmsBannerConfirmButton[];
    buttonClick: EventEmitter<QmsBannerConfirmButtonClick>;
    onClickButton(event: PointerEvent, button: QmsBannerConfirmButton): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QmsBannerConfirmComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QmsBannerConfirmComponent, "qms-banner-confirm", never, { "type": { "alias": "type"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "title": { "alias": "title"; "required": false; }; "innerHTML": { "alias": "innerHTML"; "required": false; }; "contents": { "alias": "contents"; "required": false; }; "buttons": { "alias": "buttons"; "required": false; }; }, { "buttonClick": "buttonClick"; }, never, never, false, never>;
}
