import { AfterViewInit, ElementRef, EventEmitter, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class QMSBreadcrumbItemDirective implements OnInit, AfterViewInit {
    ele: ElementRef;
    private renderer;
    isLastItem: boolean;
    showTooltip: boolean;
    showTooltipChange: EventEmitter<any>;
    breadcrumbItemText: ElementRef;
    constructor(ele: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSBreadcrumbItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSBreadcrumbItemDirective, "[qms-breadcrumb-item]", never, { "isLastItem": { "alias": "isLastItem"; "required": false; }; "showTooltip": { "alias": "showTooltip"; "required": false; }; }, { "showTooltipChange": "showTooltipChange"; }, ["breadcrumbItemText"], never, false, never>;
}
