import { EventEmitter, OnInit } from '@angular/core';
import { MatButton } from '@angular/material/button';
import { IconModel } from './models/qms-app-bar.model';
import * as i0 from "@angular/core";
export declare class QmsAppBarComponent implements OnInit {
    menu: MatButton;
    isNomalType: boolean;
    leftFirstIcon: string;
    title: string;
    cancelTitle: string;
    confirmTitle: string;
    disabledConfirmAction: boolean;
    onClickLeftFirstIconEvent: EventEmitter<any>;
    onCancelEvent: EventEmitter<any>;
    onConfirmEvent: EventEmitter<any>;
    hideMenuDropdown: boolean;
    logoSvgPath: string;
    imgSvgPath: string;
    isImgSvgTransparent: boolean;
    rightIcons: IconModel[];
    notifications: number;
    onMenuClickedEvent: EventEmitter<any>;
    onRightIconClickedEvent: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    onCancel(): void;
    onClickLeftFirstIcon(): void;
    onConfirm(): void;
    onMenuClicked(): void;
    onRightIconClicked(icon: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QmsAppBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QmsAppBarComponent, "app-qms-app-bar", never, { "isNomalType": { "alias": "isNomalType"; "required": false; }; "leftFirstIcon": { "alias": "leftFirstIcon"; "required": false; }; "title": { "alias": "title"; "required": false; }; "cancelTitle": { "alias": "cancelTitle"; "required": false; }; "confirmTitle": { "alias": "confirmTitle"; "required": false; }; "disabledConfirmAction": { "alias": "disabledConfirmAction"; "required": false; }; "hideMenuDropdown": { "alias": "hideMenuDropdown"; "required": false; }; "logoSvgPath": { "alias": "logoSvgPath"; "required": false; }; "imgSvgPath": { "alias": "imgSvgPath"; "required": false; }; "isImgSvgTransparent": { "alias": "isImgSvgTransparent"; "required": false; }; "rightIcons": { "alias": "rightIcons"; "required": false; }; "notifications": { "alias": "notifications"; "required": false; }; }, { "onClickLeftFirstIconEvent": "onClickLeftFirstIconEvent"; "onCancelEvent": "onCancelEvent"; "onConfirmEvent": "onConfirmEvent"; "onMenuClickedEvent": "onMenuClickedEvent"; "onRightIconClickedEvent": "onRightIconClickedEvent"; }, never, never, false, never>;
}
