export declare class FlatNodeNavDrawer {
    id: string;
    name: string;
    level: number;
    expandable: boolean;
    parentId: string;
    isFile: boolean;
    disabled?: boolean;
    markedGetChildren?: boolean;
    isFavorite?: boolean;
}
export interface TreeNodeNavDrawer {
    id: string;
    name: string;
    parentId: string;
    children?: TreeNodeNavDrawer[];
    itemIcon?: string;
    itemIconSvg?: string;
    itemMatIcon?: string;
    isFile: boolean;
    childCount?: number;
    disabled?: boolean;
    markedGetChildren?: boolean;
    isFavorite?: boolean;
}
export declare class TreeModelNavDrawer implements TreeNodeNavDrawer {
    id: string;
    name: string;
    parentId: string;
    children?: TreeNodeNavDrawer[];
    itemIcon?: string;
    itemIconSvg?: string;
    itemMatIcon?: string;
    isFile: boolean;
    childCount?: number;
    disabled?: boolean;
    markedGetChildren?: boolean;
    isFavorite?: boolean;
    constructor(id: string, parentId: string, name: string, isFavorite: boolean);
}
