import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { StepModel } from './models/qms-stepper.model';
import * as i0 from "@angular/core";
export declare class QmsStepperComponent implements OnInit {
    private changeDetector;
    stepper: any;
    steps: StepModel[];
    width: number;
    height: number;
    isHorizontal: boolean;
    currentStep: number;
    labelPosition: string;
    selectionChangeEvent: EventEmitter<number>;
    constructor(changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    changeStep(selectedIndex: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QmsStepperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QmsStepperComponent, "app-qms-stepper", never, { "steps": { "alias": "steps"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "isHorizontal": { "alias": "isHorizontal"; "required": false; }; "currentStep": { "alias": "currentStep"; "required": false; }; "labelPosition": { "alias": "labelPosition"; "required": false; }; }, { "selectionChangeEvent": "selectionChangeEvent"; }, never, never, false, never>;
}
