import { OnInit } from "@angular/core";
import { MatDialogRef } from "@angular/material/dialog";
import { Subject } from "rxjs";
import { TranslateLibraryService } from "../../../../services/translation-registry.service";
import { Color } from "../../common/color.enum";
import { Result, RiskResult } from "../../model/risk-result.model";
import * as i0 from "@angular/core";
export declare class RiskResultComponent implements OnInit {
    translate: TranslateLibraryService;
    dialogRef: MatDialogRef<RiskResultComponent>;
    data: RiskResult;
    LANG: any;
    title: string;
    results: Array<Result>;
    color: typeof Color;
    isSimple: number;
    ngUnsubscribe: Subject<void>;
    constructor(translate: TranslateLibraryService, dialogRef: MatDialogRef<RiskResultComponent>, data: RiskResult);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onCloseClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RiskResultComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RiskResultComponent, "qms-risk-result", never, {}, {}, never, never, false, never>;
}
