import { ElementRef, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class QMSDialogContainer {
    private el;
    min: string;
    max: string;
    constructor(el: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSDialogContainer, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSDialogContainer, "[qms-dialog-container], qms-dialog-container, [qmsDialogContainer]", never, { "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class QMSDialogContainerV2 {
    private el;
    min: string;
    max: string;
    constructor(el: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSDialogContainerV2, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSDialogContainerV2, "[qms-dialog-container-v2], qms-dialog-container-v2, [qmsDialogContainerV2]", never, { "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class QMSDialogHeader implements OnInit {
    private el;
    height: string;
    constructor(el: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSDialogHeader, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSDialogHeader, "[qms-dialog-header], qms-dialog-header, [qmsDialogHeader]", ["qmsDialogHeader"], { "height": { "alias": "height"; "required": false; }; }, {}, never, never, false, never>;
}
/**
 * Scrollable content container of a dialog.
 */
export declare class QMSDialogContent {
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSDialogContent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSDialogContent, "[qms-dialog-content], qms-dialog-content, [qmsDialogContent]", never, {}, {}, never, never, false, never>;
}
/**
 * Container for the bottom action buttons in a dialog.
 * Stays fixed to the bottom when scrolling.
 */
export declare class QMSDialogFooter {
    private el;
    align?: 'start' | 'center';
    height: string;
    constructor(el: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSDialogFooter, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSDialogFooter, "[qms-dialog-footer], qms-dialog-footer, [qmsDialogFooter]", never, { "align": { "alias": "align"; "required": false; }; "height": { "alias": "height"; "required": false; }; }, {}, never, never, false, never>;
}
