export declare enum FileErrorType {
    noError = 0,
    notSupportedExtension = 1,
    exceedMaxSize = 2
}
export declare class QMSFileAttachment {
    file: File;
    fileName: string;
    fileContent: string;
    fileContentBase64: string;
    extension: string;
    isSuccessful: boolean;
    typeError: FileErrorType;
    progress: number;
}
