import { AfterContentInit, ElementRef, Renderer2 } from "@angular/core";
import * as i0 from "@angular/core";
export declare class QMSFormFieldDirective implements AfterContentInit {
    private elRef;
    private renderer;
    constructor(elRef: ElementRef, renderer: Renderer2);
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSFormFieldDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSFormFieldDirective, "[qms-form]", never, {}, {}, never, never, false, never>;
}
export declare class QMSFormFieldTextareaDirective implements AfterContentInit {
    private elRef;
    private renderer;
    constructor(elRef: ElementRef, renderer: Renderer2);
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSFormFieldTextareaDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSFormFieldTextareaDirective, "[qms-form-textarea]", never, {}, {}, never, never, false, never>;
}
export declare class QMSFormFieldDatePickerDirective implements AfterContentInit {
    private elRef;
    private renderer;
    constructor(elRef: ElementRef, renderer: Renderer2);
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSFormFieldDatePickerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSFormFieldDatePickerDirective, "[qms-form-date]", never, {}, {}, never, never, false, never>;
}
export declare class QMSGroupOptionDirective implements AfterContentInit {
    private elRef;
    private renderer;
    label: string;
    constructor(elRef: ElementRef, renderer: Renderer2);
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSGroupOptionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSGroupOptionDirective, "[qms-group-options]", never, { "label": { "alias": "label"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class AutocompleteOffDirective {
    private _el;
    constructor(_el: ElementRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<AutocompleteOffDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutocompleteOffDirective, "[qms-group-options]", never, {}, {}, never, never, false, never>;
}
