declare function getHaloConfiguration(LANG: any): ({
    name: string;
    position: any;
    events: {
        pointerdown: string;
        pointermove?: undefined;
        pointerup?: undefined;
    };
    attrs: {
        '.handle': {
            'data-tooltip-class-name': string;
            'data-tooltip': string;
            'data-tooltip-position': string;
            'data-tooltip-padding': number;
        };
    };
} | {
    name: string;
    position: any;
    events: {
        pointerdown: string;
        pointermove: string;
        pointerup: string;
    };
    attrs: {
        '.handle': {
            'data-tooltip-class-name': string;
            'data-tooltip': string;
            'data-tooltip-position': string;
            'data-tooltip-padding': number;
        };
    };
})[];
declare const HaloFunction: {
    getHaloConfiguration: typeof getHaloConfiguration;
};
export default HaloFunction;
