/*! Rappid v3.3.0 - HTML5 Diagramming Framework

Copyright (c) 2021 client IO

 2021-02-12


This Source Code Form is subject to the terms of the Rappid License
, v. 2.0. If a copy of the Rappid License was not distributed with this
file, You can obtain one at http://jointjs.com/license/rappid_v2.txt
 or from the Rappid archive as was distributed by client IO. See the LICENSE file.*/
declare var joint: any;
export declare namespace app {
    class CircularModel extends joint.shapes.standard.Ellipse {
        portLabelMarkup: {
            tagName: string;
            selector: string;
        }[];
        defaults(): any;
    }
    class RectangularModel extends joint.shapes.standard.Rectangle {
        portLabelMarkup: {
            tagName: string;
            selector: string;
        }[];
        defaults(): any;
    }
    class Link extends joint.shapes.standard.Link {
        defaultLabel: {
            attrs: {
                rect: {
                    fill: string;
                    stroke: string;
                    strokeWidth: number;
                    refWidth: number;
                    refHeight: number;
                    refX: number;
                    refY: number;
                };
            };
        };
        private getDataWidthCached;
        static connectionPoint(line: any, view: any, magnet: any, opt: any, type: any, linkView: any): any;
        defaults(): any;
        getMarkerWidth(type: any): any;
        getDataWidth(d: any): any;
    }
}
export declare const NavigatorElementView: any;
export declare const NavigatorLinkView: any;
export declare const basic: any;
export declare const standard: any;
export declare const fsa: any;
export declare const pn: any;
export declare const erd: any;
export declare const uml: any;
export declare const org: any;
export {};
