declare function getCKEditorConfiguration(itemToolbar: string, LANG?: any, language?: string): {
    toolbar: {
        items: any[];
        removeItems: any[];
        viewportTopOffset: number;
        shouldNotGroupWhenFull: boolean;
    };
    language: string;
    table: {
        contentToolbar: string[];
    };
    image: {
        styles: string[];
        toolbar: string[];
        resizeOptions: ({
            name: string;
            value: any;
            label: any;
            icon: string;
        } | {
            name: string;
            value: number;
            label: string;
            icon: string;
        })[];
    };
    video: {
        styles: string[];
        resizeUnit: string;
        toolbar: string[];
        resizeOptions: ({
            name: string;
            value: any;
            label: any;
            icon: string;
        } | {
            name: string;
            value: number;
            label: string;
            icon: string;
        })[];
    };
    media: {
        styles: string[];
        resizeUnit: string;
        toolbar: string[];
        resizeOptions: ({
            name: string;
            value: any;
            label: any;
            icon: string;
        } | {
            name: string;
            value: number;
            label: string;
            icon: string;
        })[];
    };
    mediaEmbed: {
        previewsInData: boolean;
        styles: string[];
        resizeUnit: string;
        toolbar: string[];
        resizeOptions: ({
            name: string;
            value: any;
            label: any;
            icon: string;
        } | {
            name: string;
            value: number;
            label: string;
            icon: string;
        })[];
    };
    link: {
        addTargetToExternalLinks: boolean;
        decorators: ({
            mode: string;
            label: string;
            attributes: {
                target: string;
                manualtarget: boolean;
                selectedRange?: undefined;
            };
        } | {
            mode: string;
            label: string;
            attributes: {
                selectedRange: boolean;
                target?: undefined;
                manualtarget?: undefined;
            };
        })[];
    };
    fontSize: {
        options: {
            model: number;
            title: number;
            view: {
                name: string;
                styles: {
                    'font-size': string;
                };
            };
        }[];
    };
};
declare const CKEditorCommonFunctions: {
    getCKEditorConfiguration: typeof getCKEditorConfiguration;
};
export default CKEditorCommonFunctions;
