import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { QMSCKEditorBaseComponent } from '../../../qms-ckeditor-base.component';
import { TranslateLibraryService } from "../../../../services/translation-registry.service";
import { ShapeLink } from '../../../../components/qms-bpmn/models/flow-chart-shape/shape-link';
import * as i0 from "@angular/core";
export declare class BPMNLinkComponent extends QMSCKEditorBaseComponent implements OnInit {
    private translate;
    dialogRef: MatDialogRef<BPMNLinkComponent>;
    data: ShapeLink;
    LANG: any;
    canSave: boolean;
    link: string;
    constructor(translate: TranslateLibraryService, dialogRef: MatDialogRef<BPMNLinkComponent>, data: ShapeLink);
    newShapeLink: ShapeLink;
    ngOnInit(): void;
    save(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BPMNLinkComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BPMNLinkComponent, "app-link", never, {}, {}, never, never, false, never>;
}
