import { OnInit } from '@angular/core';
import { UntypedFormControl } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { TranslateLibraryService } from '../../../services/translation-registry.service';
import QMSCKEditorLink from '../../common/models/qms-ckeditor-url.model';
import { QMSCKEditorBaseComponent } from '../../qms-ckeditor-base.component';
import { QMSCKEditorCommonService } from '../../services/qms-ckeditor-common.services';
import * as i0 from "@angular/core";
export declare class QmsCkeditorLinkSimpleComponent extends QMSCKEditorBaseComponent implements OnInit {
    dialogRef: MatDialogRef<QmsCkeditorLinkSimpleComponent>;
    private translate;
    private commonService;
    data: QMSCKEditorLink;
    LANG: any;
    ckEditor: any;
    urlFormControl: UntypedFormControl;
    url: string;
    constructor(dialogRef: MatDialogRef<QmsCkeditorLinkSimpleComponent>, translate: TranslateLibraryService, commonService: QMSCKEditorCommonService, data: QMSCKEditorLink);
    ngOnInit(): void;
    setLink(): void;
    onCloseDialog(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QmsCkeditorLinkSimpleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QmsCkeditorLinkSimpleComponent, "lib-qms-ckeditor-link-simple", never, { "ckEditor": { "alias": "ckEditor"; "required": false; }; }, {}, never, never, false, never>;
}
