import { OnInit } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { TranslateLibraryService } from '../../../../services/translation-registry.service';
import QMSCKEditorLinkAttachment from '../../../common/models/qms-ckeditor-link-attachment.model';
import { QMSCKEditorBaseComponent } from '../../../qms-ckeditor-base.component';
import { QMSCKEditorLinkService } from '../../../services/qms-ckeditor-link.service';
import QMSCKEditorParamter from '../../../common/models/qms-ckeditor-parameter.model';
import * as i0 from "@angular/core";
export interface LinkUrl {
    url: string;
    title: string;
}
export declare class LinkAttachmentComponent extends QMSCKEditorBaseComponent implements OnInit {
    private dialog;
    private translate;
    private linkService;
    dialogRef: MatDialogRef<LinkAttachmentComponent>;
    data: QMSCKEditorParamter;
    LANG: any;
    module: number;
    entityId: string;
    supportFileArchiveAttachments: boolean;
    attachments: QMSCKEditorLinkAttachment[];
    linkUrl: LinkUrl;
    constructor(dialog: MatDialog, translate: TranslateLibraryService, linkService: QMSCKEditorLinkService, dialogRef: MatDialogRef<LinkAttachmentComponent>, data: QMSCKEditorParamter);
    ngOnInit(): void;
    onCloseDialog(): void;
    getAttachmentList(module: number, itemId: string, supportFileArchiveAttachments: boolean): void;
    onSelectedAttachment(extraId: string, fileName: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkAttachmentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LinkAttachmentComponent, "link-attachment", never, {}, {}, never, never, false, never>;
}
