import { OnInit } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { TranslateLibraryService } from '../../../services/translation-registry.service';
import { QMSCKEditorTemplate } from '../../models/qms-ckeditor-template.model';
import { QMSCKEditorBaseComponent } from '../../qms-ckeditor-base.component';
import { QMSCKEditorCommonService } from '../../services/qms-ckeditor-common.services';
import { QMSCKEditorTemplateService } from '../../services/qms-ckedtior-template.service';
import * as i0 from "@angular/core";
export declare class QMSCKEditorLoadTemplateComponent extends QMSCKEditorBaseComponent implements OnInit {
    private dialog;
    private translate;
    private templateService;
    private commonService;
    dialogRef: MatDialogRef<QMSCKEditorLoadTemplateComponent>;
    data: any;
    ckEditor: any;
    LANG: any;
    templates: QMSCKEditorTemplate[];
    isReplace: boolean;
    enableEditTemplate?: boolean;
    stream_image: string;
    constructor(dialog: MatDialog, translate: TranslateLibraryService, templateService: QMSCKEditorTemplateService, commonService: QMSCKEditorCommonService, dialogRef: MatDialogRef<QMSCKEditorLoadTemplateComponent>, data: any);
    ngOnInit(): void;
    onCloseDialog(): void;
    getTemplate(): void;
    onSelectTemplate(id: number): void;
    onEditTemplate(id: number): void;
    onDeleteTemplate(id: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSCKEditorLoadTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QMSCKEditorLoadTemplateComponent, "app-qmsck-load-template", never, { "ckEditor": { "alias": "ckEditor"; "required": false; }; }, {}, never, never, false, never>;
}
