import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { QMSCKEditorBaseComponent } from '../qms-ckeditor-base.component';
import { QMSCKEditorGlobalService } from './qms-ckeditor-global.service';
import * as i0 from "@angular/core";
export declare class QMSCKEditorBaseService extends QMSCKEditorBaseComponent {
    http: HttpClient;
    private globalService;
    headers: HttpHeaders;
    apiUrl: string;
    constructor(http: HttpClient, globalService: QMSCKEditorGlobalService);
    protected get(url: string, params?: any): Observable<any>;
    protected post(url: string, data: any): Observable<any>;
    protected put(url: string, data: any): Observable<any>;
    protected delete(url: string, params?: any): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSCKEditorBaseService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QMSCKEditorBaseService>;
}
