export declare class QmsBannerContent {
    text: string;
    tooltip?: string;
    bold?: boolean;
}
export declare enum BannerType {
    primary = "primary",
    warning = "warning",
    success = "success",
    error = "error",
    light = "light",
    none = "none"
}
export declare enum QmsBannerButtonType {
    Text = 0,
    Icon = 1
}
export declare class QmsBannerConfirmButton {
    id: string | number;
    text: string;
    type?: QmsBannerButtonType;
    icon?: string;
    tooltip?: string;
    action?: () => void;
    hidden?: () => boolean;
    disabled?: () => boolean;
}
export declare class QmsBannerConfirmButtonClick {
    button: QmsBannerConfirmButton;
    event: PointerEvent;
}
