import { ElementRef, NgZone } from '@angular/core';
import { QMSButtonBase } from './button-base';
import { Platform } from '@angular/cdk/platform';
import * as i0 from "@angular/core";
declare const _QMSButtonMixinBase: typeof QMSButtonBase;
/**
 * QMS design button.
 */
export declare class QMSButton extends _QMSButtonMixinBase {
    _animationMode: string;
    constructor(elementRef: ElementRef, platform: Platform, ngZone: NgZone, _animationMode: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSButton, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QMSButton, "button[qms-btn], button[qms-btn-lg], button[qms-btn-outlined],               button[qms-btn-outlined-lg], button[qms-btn-text], button[qms-btn-text-lg],               button[qms-btn-fab],button[qms-btn-fab-sm],button[qms-btn-fab-ext],               button[qms-btn-fab-outlined],button[qms-btn-fab-outlined-sm],button[qms-btn-fab-outlined-ext]", ["qmsButton"], { "disabled": { "alias": "disabled"; "required": false; }; "color": { "alias": "color"; "required": false; }; }, {}, never, ["*"], false, never>;
}
/**
 * Material design anchor button.
 */
export declare class QMSAnchor extends QMSButton {
    _animationMode: string;
    tabIndex: number;
    constructor(elementRef: ElementRef, platform: Platform, ngZone: NgZone, _animationMode: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSAnchor, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QMSAnchor, "a[qms-btn], a[qms-btn-lg], a[qms-btn-outlined],               a[qms-btn-outlined-lg], a[qms-btn-text], a[qms-btn-text-lg],               a[qms-btn-fab], a[qms-btn-fab-sm], a[qms-btn-fab-ext],               a[qms-btn-fab-outlined],a[qms-btn-fab-outlined-sm],a[qms-btn-fab-outlined-ext]", ["qmsButton", "qmsAnchor"], { "disabled": { "alias": "disabled"; "required": false; }; "color": { "alias": "color"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export declare class QMSButtonIcon extends _QMSButtonMixinBase {
    _animationMode: string;
    constructor(elementRef: ElementRef, platform: Platform, ngZone: NgZone, _animationMode: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSButtonIcon, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QMSButtonIcon, "button[qms-btn-icon]", ["qmsButtonIcon"], { "disabled": { "alias": "disabled"; "required": false; }; "color": { "alias": "color"; "required": false; }; "active": { "alias": "active"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export {};
