import { AfterContentInit, AfterViewInit, ElementRef, OnInit, QueryList, Renderer2 } from "@angular/core";
import * as i0 from "@angular/core";
export declare class QMSListLeadingIcon {
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSListLeadingIcon, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSListLeadingIcon, "[leading-icon]", never, {}, {}, never, never, false, never>;
}
export declare class QMSListLine {
    private elRef;
    private renderer;
    constructor(elRef: ElementRef, renderer: Renderer2);
    size: string;
    type: string;
    color: string;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSListLine, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSListLine, "[qms-line]", never, { "size": { "alias": "size"; "required": false; }; "type": { "alias": "type"; "required": false; }; "color": { "alias": "color"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class QMSListHeader {
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSListHeader, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSListHeader, "[qms-list-header]", never, {}, {}, never, never, false, never>;
}
export declare class QMSListExpansion implements AfterContentInit {
    private elRef;
    private renderer;
    _lines: QueryList<QMSListLine>;
    constructor(elRef: ElementRef, renderer: Renderer2);
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSListExpansion, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSListExpansion, "[qms-expansion]", never, {}, {}, ["_lines"], never, false, never>;
}
export declare class QMSListExpansionHeader implements AfterContentInit {
    private elRef;
    private renderer;
    _lines: QueryList<QMSListLine>;
    constructor(elRef: ElementRef, renderer: Renderer2);
    onClick($event: any): void;
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSListExpansionHeader, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSListExpansionHeader, "[qms-expansion-header]", never, {}, {}, ["_lines"], never, false, never>;
}
export declare class QMSList implements OnInit {
    private elRef;
    constructor(elRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QMSList, "qms-list", never, {}, {}, never, ["*"], false, never>;
}
export declare class QMSListItem implements AfterViewInit {
    private elRef;
    private renderer;
    type: string;
    private _disabled;
    get disabled(): boolean;
    set disabled(value: boolean);
    _lines: QueryList<QMSListLine>;
    constructor(elRef: ElementRef<HTMLElement>, renderer: Renderer2);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSListItem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QMSListItem, "qms-list-item", never, { "type": { "alias": "type"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, ["_lines"], ["[leading-icon]", "[qms-list-header]", "[qms-line]", "*"], false, never>;
}
