import { ActivityDescription } from './flow-chart-shape/activity-description';
import { ActivityRelatedItems } from './flow-chart-shape/activity-related-items';
import { ShapeAnchor } from './flow-chart-shape/shape-anchor';
import { ShapeFlowChart } from './flow-chart-shape/shape-flow-chart';
import { ShapeLink } from './flow-chart-shape/shape-link';
import { ShapeTarget } from './flow-chart-shape/shape-target';
export declare class ShapeModel {
    shapeId: string;
    flowChartId: string;
    shape: ShapeFlowChart;
    description: ActivityDescription;
    relatedItem: ActivityRelatedItems;
    link: ShapeLink;
    anchor: ShapeAnchor;
    target: ShapeTarget;
    constructor();
}
