import { QMSFlatNodeTree } from "../../../common/models/qms-flat-node.model";
import { QMSTreeNode } from "../../../common/models/qms-tree-node.model";
import { QMSAccessItem } from "./access-item.model";
import { QMSAccessPagingModel } from "./access-paging.model";
export declare class QMSSelectAccessResult {
    userGroups: QMSAccessItem[];
    departments: QMSTreeNode[];
    persons: QMSAccessItem[];
    departmentsFlat?: QMSAccessItem[];
}
export declare class QMSSelectAccessData {
    accessUserGroups: QMSAccessPagingModel<QMSAccessItem>;
    accessDepartments: QMSFlatNodeTree[];
    accessPersons: QMSAccessPagingModel<QMSAccessItem>;
    selectedData: QMSSelectAccessResult;
    accessDepartmentsFlat: QMSAccessPagingModel<QMSAccessItem>;
    constructor();
}
