import { QMSFlatNodeTree } from "../../../common/models/qms-flat-node.model";
import { ModeDepartmentTreeeViewEnum } from "../enum/mode-department-tree-view.enum";
export declare class QMSSelectDepartmentTreeConfig {
    selectIncludeLabel: string;
    treeData: Array<QMSFlatNodeTree>;
    disabledList?: Array<any>;
    selectedList?: Array<QMSFlatNodeTree>;
    enableIncludeChild?: boolean;
    enableTreeSearch: boolean;
    enablePagingSearch: boolean;
    checkSearchMappingTree?: boolean;
    isSelectOne: boolean;
    activeViewSearch?: boolean;
    height?: string;
    customClass?: string;
    headerName: {
        treeName: string;
        externalName: string;
        resultSearchName: string;
    };
    activeSelectAllNode: boolean;
    modeView: ModeDepartmentTreeeViewEnum;
    isMobile: boolean;
    lazy: boolean;
    resetToggleIncludeChildWhenChangeView?: boolean;
    isIncludeChildren?: boolean;
    tooltipIncludeLabel?: string;
    canAddNullResult?: boolean;
    handleCheckAllItemSearch?: boolean;
    spinnerWhenGetMore?: boolean;
    disableToggleIncludeChildWhenChangeView?: boolean;
    clearCheckListSelectionSearchWhenHandle?: boolean;
    moveLocationMode?: boolean;
    constructor();
}
