import { MatDialogRef } from "@angular/material/dialog";
import { Subject } from "rxjs";
import { TranslateLibraryService } from "../../services/translation-registry.service";
import * as i0 from "@angular/core";
export declare class UploadErrorData {
    fileNames: string[];
    acceptedExtension: string[];
    overLimitFiles: string[];
    fileSizeLimit: number;
    fileSizeLimitUnit: string;
}
export declare class QMSUploadFileErrorDialog {
    dialogRef: MatDialogRef<QMSUploadFileErrorDialog>;
    trans: TranslateLibraryService;
    data: UploadErrorData;
    unsupportedFiles: string[];
    supportedExtensions: string[];
    overLimitFiles: string[];
    fileSizeLimit: number;
    fileSizeLimitUnit: string;
    LANG: any;
    ngUnsubscribe: Subject<void>;
    constructor(dialogRef: MatDialogRef<QMSUploadFileErrorDialog>, trans: TranslateLibraryService, data: UploadErrorData);
    ok(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSUploadFileErrorDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QMSUploadFileErrorDialog, "qms-upload-file-error-dialog", never, {}, {}, never, never, false, never>;
}
