import { ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from "@angular/core";
import { MatDialog } from "@angular/material/dialog";
import { QMSFileAttachment } from "./qms-file-upload-attachment.model";
import * as i0 from "@angular/core";
export declare class QMSFileUploadMultipleSelectorDirective implements OnInit, OnChanges {
    ele: ElementRef;
    dialog: MatDialog;
    filesForInput: QMSFileAttachment[];
    filesForInputChange: EventEmitter<any>;
    acceptExtensions: string[];
    onFileUploaded: EventEmitter<any>;
    maxSize: number;
    invokeMyFunc(): void;
    constructor(ele: ElementRef, dialog: MatDialog);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    OnChanges(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSFileUploadMultipleSelectorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSFileUploadMultipleSelectorDirective, "[qms-file-upload-multiple-selector]", never, { "filesForInput": { "alias": "filesForInput"; "required": false; }; "acceptExtensions": { "alias": "acceptExtensions"; "required": false; }; "maxSize": { "alias": "maxSize"; "required": false; }; }, { "filesForInputChange": "filesForInputChange"; "onFileUploaded": "onFileUploaded"; }, never, never, false, never>;
}
