declare function getSelectionConfiguration(LANG: any): {
    handles: ({
        name: string;
        position: string;
        events: {
            pointerdown: string;
            pointermove?: undefined;
            pointerup?: undefined;
        };
        attrs: {
            '.handle': {
                'data-tooltip-class-name': string;
                'data-tooltip': string;
                'data-tooltip-position': string;
                'data-tooltip-padding': number;
            };
        };
    } | {
        name: string;
        position: string;
        events: {
            pointerdown: string;
            pointermove: string;
            pointerup: string;
        };
        attrs: {
            '.handle': {
                'data-tooltip-class-name': string;
                'data-tooltip': string;
                'data-tooltip-position': string;
                'data-tooltip-padding': number;
            };
        };
    })[];
};
declare const SelectionFunction: {
    getSelectionConfiguration: typeof getSelectionConfiguration;
};
export default SelectionFunction;
