declare function getToolbarConfiguration(LANG: any): {
    groups: {
        fullscreen: {
            index: number;
        };
        'undo-redo': {
            index: number;
        };
        print: {
            index: number;
        };
        clear: {
            index: number;
        };
        export: {
            index: number;
        };
        template: {
            index: number;
        };
        order: {
            index: number;
        };
        layout: {
            index: number;
        };
        zoom: {
            index: number;
        };
        grid: {
            index: number;
        };
        snapline: {
            index: number;
        };
    };
    tools: ({
        type: string;
        name: string;
        group: string;
        attrs: {
            button: {
                'data-tooltip': string;
                'data-tooltip-position': string;
                'data-tooltip-position-selector': string;
                id?: undefined;
            };
            label?: undefined;
            input?: undefined;
        };
        text?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
        width?: undefined;
        options?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        attrs: {
            button: {
                id: string;
                'data-tooltip': string;
                'data-tooltip-position': string;
                'data-tooltip-position-selector': string;
            };
            label?: undefined;
            input?: undefined;
        };
        text?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
        width?: undefined;
        options?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        text: string;
        attrs: {
            button: {
                id: string;
                'data-tooltip': string;
                'data-tooltip-position': string;
                'data-tooltip-position-selector': string;
            };
            label?: undefined;
            input?: undefined;
        };
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
        width?: undefined;
        options?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        text: string;
        attrs?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
        width?: undefined;
        options?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        attrs?: undefined;
        text?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
        width?: undefined;
        options?: undefined;
    } | {
        type: string;
        group: string;
        name?: undefined;
        attrs?: undefined;
        text?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
        width?: undefined;
        options?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        text: string;
        attrs: {
            label: {
                'data-tooltip': string;
                'data-tooltip-position': string;
                'data-tooltip-position-selector': string;
            };
            button?: undefined;
            input?: undefined;
        };
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
        width?: undefined;
        options?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        text: string;
        min: number;
        max: number;
        step: number;
        value: number;
        attrs?: undefined;
        label?: undefined;
        width?: undefined;
        options?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        label: string;
        value: boolean;
        attrs: {
            input: {
                id: string;
            };
            label: {
                'data-tooltip': string;
                'data-tooltip-position': string;
                'data-tooltip-position-selector': string;
            };
            button?: undefined;
        };
        text?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        width?: undefined;
        options?: undefined;
    } | {
        type: string;
        name: string;
        group: string;
        width: number;
        options: {
            index: number;
            content: string;
            flowChartId: string;
            name: string;
            jsonContent: string;
            selected: boolean;
        }[];
        attrs?: undefined;
        text?: undefined;
        min?: undefined;
        max?: undefined;
        step?: undefined;
        value?: undefined;
        label?: undefined;
    })[];
};
declare const ToolbarFunction: {
    getToolbarConfiguration: typeof getToolbarConfiguration;
};
export default ToolbarFunction;
