/*! Rappid v3.3.0 - HTML5 Diagramming Framework

Copyright (c) 2021 client IO

 2021-02-12


This Source Code Form is subject to the terms of the Rappid License
, v. 2.0. If a copy of the Rappid License was not distributed with this
file, You can obtain one at http://jointjs.com/license/rappid_v2.txt
 or from the Rappid archive as was distributed by client IO. See the LICENSE file.*/
import { KeyboardService } from './keyboard-service';
declare class KitchenSinkService {
    LANG: any;
    el: Element;
    graph: any;
    paper: any;
    paperScroller: any;
    commandManager: any;
    snaplines: any;
    clipboard: any;
    selection: any;
    navigator: any;
    stencil: any;
    toolbar: any;
    keyboardService: KeyboardService;
    isFullscreen: boolean;
    constructor(el: Element, keyboardService: KeyboardService, LANG: any);
    startRappid(): void;
    initializePaper(): void;
    initializeStencil(): void;
    initializeSelection(): void;
    getImageContent(): Promise<string>;
    getJsonContent(): string;
    onSelectionChange(): void;
    selectPrimaryCell(cellView: any): void;
    selectPrimaryElement(elementView: any): void;
    selectPrimaryLink(linkView: any): void;
    initializeToolsAndInspector(): void;
    initializeNavigator(): void;
    initializeToolbar(): void;
    applyOnSelection(method: string): void;
    changeSnapLines(checked: boolean): void;
    initializeKeyboardShortcuts(): void;
    initializeTooltips(): any;
    exportStylesheet: string;
    toggleFullscreen(): void;
    openAsSVG(): void;
    openAsPNG(): void;
    onMousewheel(cellView: any, evt: any, ox: number, oy: number, delta: number): void;
    layoutDirectedGraph(): void;
    renderPlugin(selector: string, plugin: any): void;
    onChangeTemplate(event: any): void;
    onDeleteTemplate(event: any): void;
    onSaveAsTemplate(): void;
    onResetTemplate(): void;
}
export default KitchenSinkService;
