import { Observable } from 'rxjs';
import { QMSCKEditorFlowchartTemplate } from '../common/models/qms-ckeditor-flowchart-template.model';
import { QMSCKEditorFlowchart } from '../common/models/qms-ckeditor-flowchart.model';
import { QMSCKEditorBaseService } from './qms-ckeditor-base.service';
import * as i0 from "@angular/core";
export declare class QMSCKEditorFlowchartService extends QMSCKEditorBaseService {
    flowchartModifying(flowchart: QMSCKEditorFlowchart): Observable<string>;
    getFlowchartById(id: string): Observable<QMSCKEditorFlowchart>;
    flowchartGetTemplates(): Observable<QMSCKEditorFlowchartTemplate[]>;
    flowchartDeleteTemplate(id: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSCKEditorFlowchartService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QMSCKEditorFlowchartService>;
}
